Ipelib

Public Member Functions | List of all members
ipe::TellStream Class Referenceabstract
Ipe Base

`#include <ipebase.h>`

Inherits ipe::Stream.

Inherited by ipe::FileStream, and ipe::StringStream.

## Public Member Functions
virtual long | tell () const =0
Public Member Functions inherited from ipe::Stream
virtual | ~Stream ()
virtual void | putChar (char ch)=0
virtual void | close ()
virtual void | putString (String s)
virtual void | putCString (const char *s)
virtual void | putRaw (const char *data, int size)
Stream & | operator<< (char ch)
Stream & | operator<< (const String &s)
Stream & | operator<< (const char *s)
Stream & | operator<< (int i)
Stream & | operator<< (double d)
void | putHexByte (char b)
void | putXmlString (String s)

## Detailed Description

Adds position feedback to IpeStream.

## Member Function Documentation

## ◆ tell()

virtual long ipe::TellStream::tell | ( |  | ) | const
| pure virtual

Implemented in ipe::FileStream, and ipe::StringStream.

Referenced by ipe::PdfWriter::createTrailer().

The documentation for this class was generated from the following file:

- ipebase.h